%define upstream_name    Apache-GeoIP
%define upstream_version 1.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Apache::Geo::IP - Look up country by IP Address
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Apache-GeoIP-1.99-apache24.patch

BuildRequires:	apache-devel
BuildRequires:	apache-mod_perl
BuildRequires:	apache-mod_perl-devel
BuildRequires:	perl(Apache::Test) >= 1.25
BuildRequires:	perl(Geo::IP)

BuildArch:	noarch
Obsoletes:	perl-Apache-GeoIP < 1.990.0-8

%description
This module constitutes a mod_perl (both versions 1 and 2) interface 
to the Geo::IP and Geo::Mirror modules. Geo::IP is used to look up in 
a database a country of origin of an IP address, while Geo::Mirror
is used to select a mirror by country from a specified list. See
the documentation for Apache::Geo::IP and Apache::Geo::Mirror
for more details.

The included tests require Apache::Test, which can be obtained
in the mod_perl-2 sources or in the httpd-test distribution.
These tests need a network connection to run; some may fail
due to timeouts upon doing certain name lookups.

The mod_perl-2 modules included here, with prefix Apache2::*,
will only work with mod_perl-1.999022 and above (RC5 or greater
of the CPAN distribution).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
# requires network, and test suite rework
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Apache2
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.990.0-10.mga6
+ Revision: 1022523
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.990.0-9.mga6
+ Revision: 970233
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.990.0-8.mga6
+ Revision: 885340
- Convert to noarch package

* Sun Oct 19 2014 umeabot <umeabot> 1.990.0-7.mga5
+ Revision: 789264
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.990.0-5.mga5
+ Revision: 683485
- Mageia 5 Mass Rebuild

* Sun Jan 05 2014 pterjan <pterjan> 1.990.0-4.mga4
+ Revision: 564959
- Add support for Apache 2.4
- Add a missing BuildRequires for the tests

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 37023
- mageia rebuild
- mageia rebuild
- imported package perl-Apache-GeoIP


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.990.0-1mdv2010.0
+ Revision: 402965
- rebuild using %%perl_convert_version

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.99-1mdv2010.0
+ Revision: 373791
- new version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.63-4mdv2009.0
+ Revision: 255273
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 1.63-2mdv2008.1
+ Revision: 151816
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.63-1mdv2008.0
+ Revision: 19178
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.62-4mdv2007.0
+ Revision: 73197
- import perl-Apache-GeoIP-1.62-4mdk

* Mon May 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.62-4mdk
- fix deps

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.62-3mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.62-2mdk
- fix file clash with geoip (Gtz Waschk)

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.62-1mdk
- initial Mandriva package

